.TH "siggen::MTSignatures" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::MTSignatures \- thread-safe buffer for resulting block-wise signatures  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <MTSignatures\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBMTSignatures\fP (size_t blockCount, size_t hashSize)"
.br
.RI "pre-allocates blockCount*hashSize bytes of memory "
.ti -1c
.RI "void \fBPostResult\fP (size_t blockIndex, result_t const &blockSignature)"
.br
.RI "posting result from another thread "
.ti -1c
.RI "void \fBWaitForComplete\fP ()"
.br
.RI "waits on the condition until all threads deliver their result "
.ti -1c
.RI "const result_t & \fBGetResult\fP () const"
.br
.RI "get array with result signatures of each block of input "
.in -1c
.SS "Protected Member Functions"

.in +1c
.ti -1c
.RI "bool \fBIsComplete\fP () const"
.br
.RI "all of the block signatures arrived "
.in -1c
.SH "Detailed Description"
.PP 
thread-safe buffer for resulting block-wise signatures 
.PP
Definition at line 11 of file MTSignatures\&.h\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "siggen::MTSignatures::MTSignatures (size_t blockCount, size_t hashSize)"

.PP
pre-allocates blockCount*hashSize bytes of memory 
.PP
\fBParameters\fP
.RS 4
\fIblockCount\fP size of the input file in blocks 
.br
\fIhashSize\fP size of the signature (digest) in bytes 
.RE
.PP

.PP
Definition at line 7 of file MTSignatures\&.cpp\&.
.SH "Member Function Documentation"
.PP 
.SS "void siggen::MTSignatures::PostResult (size_t blockIndex, result_t const & blockSignature)"

.PP
posting result from another thread 
.PP
\fBParameters\fP
.RS 4
\fIblockIndex\fP index of the block of data 
.br
\fIblockSignature\fP signature (digest) of the block corresponding to blockIndex 
.RE
.PP

.PP
Definition at line 14 of file MTSignatures\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
